
QGIS Application - Bug report #17449

QGIS master does not open after installing on Ubuntu 16.04

2017-11-14 12:57 AM - Diogo Caribé

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Ubuntu 16.04 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25346

Description

After installed Qgis 2.99 it not open and returned me this massage:

qgis

../../src/app/main.cpp: 454: (main) [0ms] Starting qgis main

../../src/app/main.cpp: 824: (main) [1ms] User profile details:

../../src/app/main.cpp: 825: (main) [0ms]      - default

../../src/app/main.cpp: 826: (main) [0ms]      - /home/dogsousa/.local/share/QGIS/QGIS3/profiles/default

../../src/app/main.cpp: 827: (main) [0ms]      - /home/dogsousa/.local/share/QGIS/QGIS3/profiles

Fatal: This application failed to start because it could not find or load the Qt platform plugin "xcb".

Reinstalling the application may fix this problem.

QGIS died on signal -1Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

History

#1 - 2017-11-14 09:15 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Operating System changed from Ubuntu 16.04 64bits. to Ubuntu 16.04 64bit

- Status changed from Open to Feedback

- Subject changed from Not open after installed in Ubuntu 16.04 to QGIS master does not open after installing on Ubuntu 16.04

Just installed from the nightly repo on Xenial and it works (c9ee3ef).

#2 - 2018-02-22 01:44 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
